Skip to main content
GET
List sync configs

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

connector_profile_id
string | null

Filter to sync configs for a specific connector profile.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

action_id
string | null

Filter to sync configs for a specific action.

Example:

"hris_list_employees"

enabled
boolean | null

Filter by enabled state.

Example:

true

page
number | null

The 1-based page number to fetch. Omit both page and page_size to fetch all sync configs at once.

Required range: x >= 1
page_size
number | null
default:25

The number of sync configs to return per page.

Required range: 1 <= x <= 100

Response

The sync configs were retrieved.

page
number
required

The current page number.

page_size
number
required

The number of sync configs per page.

total
number
required

The total number of sync configs matching the request.

data
object[]
required

The sync configs on this page.